Bug 174039 - [patch] audio/xfce4-mixer: needs gstreamer-plugins-good to work
Summary: [patch] audio/xfce4-mixer: needs gstreamer-plugins-good to work
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-01 19:30 UTC by David Demelier
Modified: 2012-12-26 09:40 UTC (History)
0 users

See Also:


Attachments
mixer.diff (328 bytes, patch)
2012-12-01 19:30 UTC, David Demelier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Demelier 2012-12-01 19:30:00 UTC
The Xfce mixer application and applet require gstreamer-plugins-good to work. This gstreamer plugin provides library for OSS access. If this plugin is not installed the application will fails with this error :

Streamer was unable to detect any sound devices. Some sound system specific GStreamer packages may be missing. It may also be a permissions problem.
Comment 1 Edwin Groothuis freebsd_committer 2012-12-01 20:38:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-xfce

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Olivier Duchateau freebsd_committer 2012-12-25 08:04:43 UTC
Responsible Changed
From-To: freebsd-xfce->olivierd

I'll take it.
Comment 3 dfilter service freebsd_committer 2012-12-26 09:35:24 UTC
Author: olivierd
Date: Wed Dec 26 09:35:02 2012
New Revision: 309505
URL: http://svnweb.freebsd.org/changeset/ports/309505

Log:
  xfce4-mixer needs multimedia/gstreamer-plugins-good to access any OSS devices.
  
  PR:		ports/174039
  Submitted by:	David Demelier <demelier.david_AT_gmail.com>
  Approved by:	rene, miwi (mentors, implicit)

Modified:
  head/audio/xfce4-mixer/Makefile

Modified: head/audio/xfce4-mixer/Makefile
==============================================================================
--- head/audio/xfce4-mixer/Makefile	Wed Dec 26 09:15:45 2012	(r309504)
+++ head/audio/xfce4-mixer/Makefile	Wed Dec 26 09:35:02 2012	(r309505)
@@ -4,7 +4,7 @@
 
 PORTNAME=	xfce4-mixer
 PORTVERSION=	4.10.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	audio xfce
 MASTER_SITES=	${MASTER_SITE_XFCE}
 MASTER_SITE_SUBDIR=	src/apps/${PORTNAME}/${PORTVERSION:R}
@@ -24,7 +24,7 @@ USE_GMAKE=	yes
 USE_GNOME=	gnomehack glib20 gtk20 intltool intlhack desktopfileutils
 USE_XFCE=	configenv libmenu libutil panel xfconf
 USE_PKGCONFIG=	build
-USE_GSTREAMER=	yes
+USE_GSTREAMER=	good
 
 MAKE_JOBS_UNSAFE=	yes
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Olivier Duchateau freebsd_committer 2012-12-26 09:37:30 UTC
State Changed
From-To: open->closed

Committed. Thanks!